using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using D.Common;
using D.BLL;
using D.Model;

public partial class common_Login_V : System.Web.UI.Page
{
    private B_SiteUser bllSiteUser = new B_SiteUser();
    private M_SiteUser modelSiteUser = new M_SiteUser();
    private B_User bllUser = new B_User();

    protected void Page_Load(object sender, EventArgs e)
    {
        Response.Cache.SetNoStore();
        AjaxPro.Utility.RegisterTypeForAjax(typeof(D.BLL.B_User));
        modelSiteUser = bllSiteUser.GetModel();
        ButReg.Attributes.Add("onclick", "window.location.href='" + Param.ApplicationRootPath + "/user/reg.aspx?ModelId=1'");

        imgVerify.ImageUrl = "" + Param.ApplicationRootPath + "/common/logincode.aspx?";

        if (!modelSiteUser.IsLoginVer)
        {
            DivCode.Attributes.Add("style", "display:none");
        }

        if (bllUser.IsLogin())
        {
            AjaxLogin.Attributes.Add("style", "display:none");
            AjaxLogin2.Attributes.Add("style", "display:");
        }
    }
}
